# RaumplanerApp.py

from grafikfenster import *
from gui import Gui
from raumplanerModell import RaumplanerModell
### ---------------------------------------------------
class RaumplanerApp(wx.App):
    def OnInit(self):
        self.gui = Gui(None, -1, "Raumplaner", pos=(600,50))
        self.SetTopWindow(self.gui)
        self.fenster = GrafikFenster(self.gui, "Raumplaner-Grafik", size=(600,600))
        self.fenster.Show(True)
        self.gui.Show(True)
        self.modell=RaumplanerModell.GibModell()
        Zeichenflaeche.GibZeichenflaeche().BeobachterAnmelden(self.modell)
        self.Hinweis(u"Das Projekt ist noch unvollstaendig!\nWähle testen!")
        ##self.fenster.ZeigeShellFrame()
        ##self.fenster.ZeigeFillingFrame()
        return True

    def Hinweis(self, text):
        dlg = wx.MessageDialog(self.gui, text,
                               'ACHTUNG !',
                               wx.OK | wx.ICON_INFORMATION
                               #wx.YES_NO | wx.NO_DEFAULT | wx.CANCEL | wx.ICON_INFORMATION
                               )
        dlg.ShowModal()
        dlg.Destroy()
### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
